httpd-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Justin Erenkrantz <jus...@erenkrantz.com>
Subject Re: warning with buildconf on Linux
Date Sun, 25 May 2003 19:23:46 GMT
--On Sunday, May 25, 2003 4:49 PM +0200 G√ľnter Knauf <eflash@gmx.net> wrote:

> Hi,
> I get two warnings since 2.0.45 when executing buildconf (not with 2.0.44)
> on older Linux (SuSE 7.0):
>
> rebuilding srclib/apr/configure
> buildconf: checking installation...
> buildconf: autoconf version 2.13 (ok)
> buildconf: libtool version 1.3.4 (ok)
> Copying libtool helper files ...
> Creating include/arch/unix/apr_private.h.in ...
> configure.in:1491: warning: AC_TRY_RUN called without default to allow cross
> compiling Creating configure ...
> configure.in:1491: warning: AC_TRY_RUN called without default to allow cross
> compiling rebuilding srclib/apr-util/configure

Besides being on the wrong list (this is an APR issue not an httpd issue), 
this warning is a false positive as it doesn't occur with later autoconf 
releases.  I expect that this was a bug was 2.13 in that we follow the 
documented AC_TRY_RUN convention and 2.5x does not emit a warning for this 
case.

Note that the docs for autoconf 2.57 say to use AC_RUN_IFELSE instead of 
AC_TRY_RUN because of a design flaw in the AC_TRY_RUN expansion (which leads 
me to believe that the warning is or was a fault in autoconf), but I don't 
think that's an option here since 2.13 doesn't have AC_RUN_IFELSE.  -- justin

Mime
View raw message